Bulk Generate Clarity Process Snapshots
curl --request POST \
--url https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"process_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"transformation_aggressiveness": "aggressive"
}
'import requests
url = "https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate"
payload = {
"process_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"transformation_aggressiveness": "aggressive"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
process_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
transformation_aggressiveness: 'aggressive'
})
};
fetch('https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'process_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'transformation_aggressiveness' => 'aggressive'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate"
payload := strings.NewReader("{\n \"process_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"transformation_aggressiveness\": \"aggressive\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"process_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"transformation_aggressiveness\": \"aggressive\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"process_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"transformation_aggressiveness\": \"aggressive\"\n}"
response = http.request(request)
puts response.read_body{
"started": [
"<string>"
],
"skipped": [
{
"process_id": "<string>",
"reason": "<string>"
}
],
"deferred": [
"<string>"
]
}{
"error": "<string>",
"code": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"answer_persisted": true
}{
"error": "<string>",
"code": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"answer_persisted": true
}{
"error": "<string>",
"code": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"answer_persisted": true
}{
"error": "<string>",
"code": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"answer_persisted": true
}ClarityV2
Bulk Generate Clarity Process Snapshots
Start snapshot generation for many v2 clarity processes in the current team. Starts at most a share of the free sandbox capacity per call; the rest come back in deferred and should be sent again once some of the started runs finish. Processes that cannot start (already generating, no usable interviews, not found) come back in skipped with the reason.
POST
/
v2
/
clarity-v2
/
processes
/
snapshots
/
{kind}
/
generate
Bulk Generate Clarity Process Snapshots
curl --request POST \
--url https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"process_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"transformation_aggressiveness": "aggressive"
}
'import requests
url = "https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate"
payload = {
"process_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"transformation_aggressiveness": "aggressive"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
process_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
transformation_aggressiveness: 'aggressive'
})
};
fetch('https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'process_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'transformation_aggressiveness' => 'aggressive'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate"
payload := strings.NewReader("{\n \"process_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"transformation_aggressiveness\": \"aggressive\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"process_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"transformation_aggressiveness\": \"aggressive\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.duvo.ai/v2/clarity-v2/processes/snapshots/{kind}/generate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"process_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"transformation_aggressiveness\": \"aggressive\"\n}"
response = http.request(request)
puts response.read_body{
"started": [
"<string>"
],
"skipped": [
{
"process_id": "<string>",
"reason": "<string>"
}
],
"deferred": [
"<string>"
]
}{
"error": "<string>",
"code": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"answer_persisted": true
}{
"error": "<string>",
"code": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"answer_persisted": true
}{
"error": "<string>",
"code": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"answer_persisted": true
}{
"error": "<string>",
"code": "<string>",
"validationErrors": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"answer_persisted": true
}Authorizations
Path Parameters
Body
application/json
Transformation proposals only: the transformation appetite. aggressive, conservative, and none redesign around Duvo automation with decreasing freedom to change the process; optimize standardizes and streamlines the process while every step stays performed by people.
Available options:
none, conservative, aggressive, optimize Was this page helpful?